### Rename

Category

Structuring

Function

Renames a component in a field.

Syntax

    output = Rename(input, oldname, newname);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | the field containing the component to be renamed
`oldname` | string | none | the original name of the component
`newname` | string | "data" | the new name assigned to the component

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | field containing the renamed component

Functional Details

This module creates a field (`output`) in which all occurrences of a specified component (`oldname`) in `input` have been assigned a new name (`newname`).

Components

All input components are propagated to the output. The component `oldname` is renamed to `newname`.

Example Visual Programs

    AlternateVisualizations.net
    ReadImage.net
    UsingMorph.net

See Also

Extract, Mark, Remove, Replace, Unmark

[ OpenDX Home at IBM | OpenDX.org ]